module J1App
  class SiteManager < Sinatra::Base

    register Sinatra::Index
    root = File.expand_path(J1App.destination, Dir.pwd)
    set :public_folder, root
    use_static_index "index.html"

    not_found do
      status 404
      four_oh_four = File.expand_path(settings.public_folder + "/404.html", Dir.pwd)
      File.read(four_oh_four) if File.exist?(four_oh_four)
    end

  end
end
