---
regenerate:                             false
---

{% capture cache %}

{% comment %}
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/YOUR_ADAPTER_NAME.js
 #  Liquid template to create the Template Adapter for YOUR_MODULE_NAME
 #
 #  Product/Info:
 #  https://jekyll.one
 #  https://YOUR.SITE
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) YEAR YOUR NAME
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  YOUR_MODULE_NAME is licensed under YOUR LICENSE
 #  For details, see https://YOUR.SITE
 #
 # -----------------------------------------------------------------------------
 # Test data:
 #  {{ liquid_var | debug }}
 #
 # -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  ~/assets/themes/j1/core/js/adapter/YOUR_ADAPTER_NAME.js
 #  J1 Adapter for YOUR_MODULE_NAME
 #
 #  Product/Info:
 #  https://jekyll.one
 #
 #  Copyright (C) 2019 Juergen Adams
 #  Copyright (C) YEAR YOUR NAME
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  YOUR_MODULE_NAME is licensed under YOUR LICENSE
 #  For details, see https://YOUR.SITE
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
*/
'use strict';

{% assign config = site.data.modules.YOUR_DATA.yml %}

j1.YOUR_ADAPTER = (function (j1, window) {

  var environment = '{{environment}}'; // Set environment
  var state       = 'not_started';
  var logger;
  var logText;

  return {

    // Initialize
    init: function () {
      // Setup logger
      logger = log4javascript.getLogger("j1.Custom.adapter");
      state = 'started';
      logger.info('state: ' + state); // Set|Log status

      //
      // code to be implemented goes here
      //

      state = 'finished';
      logger.info('state: ' + state); // Set|Log status
      logger.info("J1 Custom JS module successfully initialized");

      return true;
    }, // END init

    // -------------------------------------------------------------------------
    //  returns the current (processing) state of the module
    // -------------------------------------------------------------------------
    state: function () {
      return state;
    } // END state

  }; // END return
})(j1, window);

{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}
